---
title: "Liberapay: Add Pleroma support"
summary: "Pleroma is compatible with the Mastodon API, but uses a different URL format. This pull request creates a Pleroma identity provider within Liberapay that takes this difference into account."
author: "Abdullah Tarawneh"
date: "2019-11-13"
tags: ["mastodon", "api", "pleroma", "liberapay", "contribution", "pull request", "github"]
category: "Code"
cover: "/images/cover/liberapay-pleroma.jpg"
---

pleroma is compatible with mastodon api.
only difference is url format:

- mastodon uses /@username
- pleroma uses /username

implementation notes: i've made it a separate provider than mastodon even though it implements the mastodon api for the following reasons:

- while there is no technical difference between auth flows or relevant apis, this may not be true in the future (although there are no plans afaik to change it in pleroma)
- renaming "mastodon" to "fediverse" is incorrect because not all fediverse servers implement the mastodon api
- labeling a pleroma as a "mastodon" account is technically incorrect
- given the above points, it was easier to just copy and paste and not deal with the potential for service explosion at this time


https://github.com/liberapay/liberapay.com/pull/1618